from microbit import *

uart.init(115200)
sleep(15000)
uart.init(115200, tx=pin8, rx=pin12)                                          #Inicijalizacija UART-a i odabir koji pin će primati podatke a koji slati
                                                                              #tx=transmission pin, rx=receiving pin
                             

while True:
    tmp = accelerometer.get_values()                                          #Pospremanje vrijednosti akceleracije u tmp listu
    uart.write(str(tmp[0])+"\t"+str(tmp[1])+"\t"+str(tmp[2])+"\t" + "\n\r")   #Slanje vrijednosti akceleracije u x,y,z smjeru preko UART-a
    if(button_a.was_pressed()):                                               #Prekidanje slanja vrijednosti akceleracije
        while True:
            tmp = compass.get_field_strength()                                #Pospremanje vrijednosti magnetskog polja u tmp listu
            uart.write(str(tmp) + "\n\r")                                     #Slanje vrijednosti magnetskog polja preko UART-a
            if (button_a.was_pressed()):
                break
    if(button_b.was_pressed()):
        while True:
            tmp = pin0.read_analog()                                          #Pospremanje vrijednosti s pina 0 u tmp listu
            uart.write(str(tmp) + "\n\r")                                     #Slanje vrijednosti s pina 0 preko UART-a
            if (button_a.was_pressed()):
                break
sleep(25)
